Draft Arc

From FreeCAD Documentation
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Fillet.svg Fillet

Draft Arc.svg Draft Arc

Menu location
Drafting → Arc tools → Arc
Workbenches
Draft, Arch
Default shortcut
A R
Introduced in version
0.7
See also
Draft Arc 3Points, Draft Circle

Description

The Draft Arc.svg Draft Arc command creates a circular arc in the current working plane from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.

A Draft Arc is in fact a Draft Circle with a DataFirst Angle that is not the same as its DataLast Angle.

Draft Arc example.jpg

Arc defined by four points, center, radius, initial point of arc and final point of arc

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. There are several ways to invoke the command:
  2. The Arc task panel opens. See Options for more information.
  3. Pick the first point, the center of the arc, in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button.
  4. Pick the second point in the 3D view, or enter a Radius.
  5. Pick the third point in the 3D view, or enter a Start angle.
  6. Pick the fourth point in the 3D view, or enter an Aperture angle.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter the coordinates for the center enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • The Relative checkbox has no purpose for this command.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Arc can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates, radii and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

See Draft Circle.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Arc use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()


Arrow-left.svg Previous: Draft Fillet.svg Fillet